import bge
import mathutils
from bge import logic

cont= logic.getCurrentController()
own = cont.owner


#### Sensor
Wkey = cont.sensors['W']
Akey = cont.sensors['A']
Skey = cont.sensors['S']
Dkey = cont.sensors['D']
Look = cont.sensors['Look']
Spacebar = cont.sensors['Spacebar']

##### Character Sheet

Speed = .05

### Actuators
MoveY = cont.actuators['Y']
MoveX = cont.actuators['X']
MoveIY = cont.actuators['-Y']
MoveIX = cont.actuators['-X']
MouselookX = cont.actuators['MouselookX']
Jump = cont.actuators['Jump']


#############   Movement ###############################################


if Look.positive :
    cont.activate(MouselookX)
### Walk Forward
if Wkey.positive :
    MoveY.dLoc = [ 0.0,Speed, 0.0]
    cont.activate(MoveY)
else:
    cont.deactivate(MoveY)
### Walk Left
if Akey.positive :
    MoveIX.dLoc = [-Speed,0.0, 0.0]
    cont.activate(MoveIX)
else:
    cont.deactivate(MoveIX)

### Walk Backward
if Skey.positive :
    MoveIY.dLoc = [ 0.0,-Speed, 0.0]
    cont.activate(MoveIY)
else:
    cont.deactivate(MoveIY)

### Walk Right
if Dkey.positive :
    MoveX.dLoc = [Speed,0.0, 0.0]
    cont.activate(MoveX)
else:
    cont.deactivate(MoveX)
    
### Jump
if Spacebar.positive :
    cont.activate(Jump)
    
else:
    cont.deactivate(Jump)


###########################  Health Limit   #######################################
#
#if own['HP'] > MaxHp :
#    pass
#
#
#if own['HP'] < 1 :
#    Die = cont.actuators['Die']
#    cont.activate(Die)
#    pass

